Package net.shibboleth.idp.plugin.authn.webauthn.admin.impl

# Class ManagementContextCredentialRemovalConsumer

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.plugin.authn.webauthn.admin.impl.ManagementContextCredentialRemovalConsumer

All Implemented Interfaces:
  `BiConsumer<ProfileRequestContext,byte[]>`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

public class ManagementContextCredentialRemovalConsumer extends AbstractIdentifiableInitializableComponent implements BiConsumer<ProfileRequestContext,byte[]>
A `BiConsumer` that sets the credential ID to remove onto the WebAuthn management context.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.
`private Function<ProfileRequestContext,WebAuthnManagementContext>`
`webauthnManagementContextLookupStrategy`
Lookup strategy to locate the webauthn management context.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ManagementContextCredentialRemovalConsumer()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(ProfileRequestContext prc, byte[] credentialId)`
`void`
`setWebauthnManagementContextLookupStrategy(Function<ProfileRequestContext,WebAuthnManagementContext> strategy)`
Set WebAuthn management context lookup strategy to use.

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiConsumer

`andThen`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### log

@Nonnull @NotEmpty private final org.slf4j.Logger log
Class logger.

### webauthnManagementContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,WebAuthnManagementContext> webauthnManagementContextLookupStrategy
Lookup strategy to locate the webauthn management context.

## Constructor Details

### ManagementContextCredentialRemovalConsumer

protected ManagementContextCredentialRemovalConsumer()
Constructor.

## Method Details

### setWebauthnManagementContextLookupStrategy

public void setWebauthnManagementContextLookupStrategy(@Nonnull Function<ProfileRequestContext,WebAuthnManagementContext> strategy)
Set WebAuthn management context lookup strategy to use.

Parameters:
  `strategy` - lookup strategy

### accept

public void accept(ProfileRequestContext prc, byte[] credentialId)

Specified by:
  `accept` in interface `BiConsumer<ProfileRequestContext,byte[]>`